
#ifndef LINSCALE
#define LINSCALE
struct linscaletp {
float slope, offset;
int xoffset;
};

void linscaleinit(struct linscaletp *el, int xRef1, float yRef1, int xRef2, float yRef2);
float linscale(int cnt, struct linscaletp *el);

#endif

/*
Example from cansat acc: +/- 1.5 g range mma7361L
    |
    |
    |
    |
 1g |                                                       X
    |
    |
    |
    |
    |
    |
    |
    |
 0  |----------|----------|----------|-----x----|----------|----------|----------|->
    |         100        200        300        400        500        600        700 ...
    |
    |
    |
    |
    |
    |
    |
-1g |                   X
    |
    |
    |
    |
    |
    
 We do calculate slope and offset from only two points - normally -1g and 1g
     |
struct linscaletp acc;

linscaleinit(&accx,183,-1.0,515,1.0);
 
 and then
   ax = linscale(analogRead(2),&accx); // gives acc in float scaled to "g's"
 
*/
